#
# spec file for package kdemultimedia4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdemultimedia4
%if %suse_version > 1110
BuildRequires:  cdparanoia-devel
%else
BuildRequires:  cdparanoia
%endif
BuildRequires:  flac-devel kdebase4-workspace-devel libao-devel libmusicbrainz-devel libsamplerate-devel
BuildRequires:  libtheora-devel libtunepimp-devel libvorbis-devel speex-devel taglib-devel xine-devel xine-lib
BuildRequires:  alsa-devel gstreamer010-devel gstreamer010-plugins-base-devel libakode-devel libogg-devel
BuildRequires:  libknotificationitem-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        kdemultimedia base package
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.4
Source0:        kdemultimedia-%version.tar.bz2
Patch0:         4_3_BRANCH.diff
Patch1:         kmix-autostart.diff
Patch2:         kmix-global-shortcuts.diff
Patch3:         solid_action_audiocd-bnc-505997.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       juk
Suggests:       kmix
Suggests:       kscd
Suggests:       kio_audiocd
%if 0
Suggests:       phonon_xine
Suggests:       phonon_gst
%endif
Provides:       kdemultimedia4-devel = 3.95.1
Obsoletes:      kdemultimedia4-devel <= 3.95.1

%description
This package suggests the packages which are built from the
kdemultimedia module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdemultimedia-%version
%patch0
%patch1
#TODO: port to KDE 4.2
#%patch2
%patch3

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  %create_subdir_filelist -d kioslave
  %create_subdir_filelist -d kscd
  %create_subdir_filelist -d libkcompactdisc -v libkcompactdisc.devel
  %create_subdir_filelist -d juk
  %create_subdir_filelist -d kmix
  %create_subdir_filelist -d dragonplayer
  %create_subdir_filelist -d libkcddb -v libkcddb.devel
  cd ..
  %create_exclude_filelist
  %suse_update_desktop_file kmix           AudioVideo Mixer
  %suse_update_desktop_file kscd           AudioVideo Player CD
  %suse_update_desktop_file juk            AudioVideo Player
  %suse_update_desktop_file dragonplayer   Video
#  rm -rf $RPM_BUILD_ROOT/nogo
#  rm -rf $RPM_BUILD_ROOT/%_libdir/kde4/kmix_panelapplet*
#  rm $RPM_BUILD_ROOT/usr/share/kde4/apps/kicker/applets/kmixapplet.desktop
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n dragonplayer
License:        GPLv2+
Group:          Productivity/Multimedia/Video/Players
Summary:        Multimedia Player
Url:            http://dragonplayer.org/
%kde4_runtime_requires

%description -n dragonplayer
Dragon Player is a simple KDE 4 video player.



Authors:
--------
    Ian Monroe <ian@monroe.nu>

%post -n dragonplayer -p /sbin/ldconfig

%postun -n dragonplayer -p /sbin/ldconfig

%files -n dragonplayer -f filelists/dragonplayer
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n juk
License:        GPLv2+
Group:          Productivity/Multimedia/Sound/Players
Summary:        Jukebox
Provides:       kde4-juk = 4.3.0
Obsoletes:      kde4-juk < 4.3.0
%kde4_runtime_requires

%description -n juk
Jukebox and music manager for KDE



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n juk -p /sbin/ldconfig

%postun -n juk -p /sbin/ldconfig

%files -n juk -f filelists/juk
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kmix
License:        GPLv2+
Group:          Productivity/Multimedia/Sound/Mixers
Summary:        Sound Mixer
%kde4_runtime_requires
Provides:       kdemultimedia3-mixer = 3.5.1
Obsoletes:      kdemultimedia3-mixer <= 3.5.1
Provides:       kde4-kmix = 4.3.0
Obsoletes:      kde4-kmix < 4.3.0

%description -n kmix
KDE's full featured mini mixer



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmix -p /sbin/ldconfig

%postun -n kmix -p /sbin/ldconfig

%files -n kmix -f filelists/kmix
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kscd
License:        GPLv2+
Group:          Productivity/Multimedia/CD/Players
Summary:        CD Player
%kde4_runtime_requires
Requires:       libkcompactdisc4 = %version
Requires:       kdemultimedia4 = %version
Requires:       libkcddb4 = %version
Provides:       kdemultimedia3-CD = 3.5.1
Obsoletes:      kdemultimedia3-CD <= 3.5.1
Provides:       kde4-kscd = 4.3.0
Obsoletes:      kde4-kscd < 4.3.0
%requires_ge    libqt4-x11

%description -n kscd
KDE's CD Player



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kscd -p /sbin/ldconfig

%postun -n kscd -p /sbin/ldconfig

%files -n kscd -f filelists/kscd
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/profiles

%package -n kio_audiocd
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE I/O Slave for Audio CDs
%kde4_runtime_requires
Requires:       libkcompactdisc4 = %version
Requires:       libkcddb4 = %version
Requires:       kdemultimedia4 = %version
Provides:       kdemultimedia3-CD:/opt/kde3/share/services/audiocd.protocol
Provides:       kde4-kio_audiocd = 4.3.0
Obsoletes:      kde4-kio_audiocd < 4.3.0

%description -n kio_audiocd
This package contains an KIO slave to access audio CDs.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kio_audiocd -p /sbin/ldconfig

%postun -n kio_audiocd -p /sbin/ldconfig

%files -n kio_audiocd -f filelists/kioslave
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n libkcddb4
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE CDDB Library

%description -n libkcddb4
A library for retrieving and sending cddb information



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkcddb4 -p /sbin/ldconfig

%postun -n libkcddb4 -p /sbin/ldconfig

%files -n libkcddb4 -f filelists/libkcddb
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n libkcddb4-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE CDDB Library: Build Environment
Requires:       libkcddb4 = %version

%description -n libkcddb4-devel
This package includes the development headers for libkcddb.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkcddb4-devel -f filelists/libkcddb.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/include/libkcddb

%package -n libkcompactdisc4
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE CD Library
%requires_ge    libqt4-x11

%description -n libkcompactdisc4
libworkman is a multi-plaform CD-Player library for creating various
CD-Player-UIs.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkcompactdisc4 -p /sbin/ldconfig

%postun -n libkcompactdisc4 -p /sbin/ldconfig

%files -n libkcompactdisc4 -f filelists/libkcompactdisc
%defattr(-,root,root)
%doc COPYING COPYING.DOC

%package -n libkcompactdisc4-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE CD Library: Build Environment
Requires:       libkcompactdisc4 = %version

%description -n libkcompactdisc4-devel
This package contains the development headers for the libkcompactdisc.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkcompactdisc4-devel -f filelists/libkcompactdisc.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%dir /usr/include/libkcompactdisc

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%_kde4_bindir/mplayerthumbsconfig
%_kde4_modulesdir/videopreview.so
%_kde4_appsdir/videothumbnail
%_kde4_sharedir/config.kcfg/mplayerthumbs.kcfg
%_kde4_servicesdir/videopreview.desktop

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: few bug fixes and translation updates
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Sat Aug 15 2009 beineri@opensuse.org
- fix menu categories of juk and dragonplayer (for smaller menu)
* Mon Aug 10 2009 beineri@opensuse.org
- remove libpulse-devel build requires
* Fri Aug  7 2009 llunak@suse.cz
- solid action for audiocd:/ (bnc#505997)
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 wstephenson@suse.de
- Update BuildRequires for new cdparanoia-devel
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu May 14 2009 dmueller@suse.de
- fix versioned deps
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Fri Jan 16 2009 dmueller@suse.de
- fix versioned deps
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Wed Nov  5 2008 dmueller@suse.de
- add missing runtime requires for dragonplayer
* Tue Nov  4 2008 llunak@suse.cz
- assign multimedia volume shortcuts to KMix (bnc#384745)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Mon Sep 15 2008 dmueller@suse.de
- fix requires
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Fri May  9 2008 dmueller@suse.de
- 4_0_BRANCH.diff update:
  * remove kio progress popups in juk
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Fri Apr 18 2008 dmueller@suse.de
- another 4_0_BRANCH.diff update:
  * hopefully fixes kmix crash on exit (bnc#373639)
* Mon Apr 14 2008 dmueller@suse.de
- 4_0_BRANCH.diff update
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Fri Feb 15 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Mon Feb  4 2008 stbinner@suse.de
- port kmix-autostart.diff
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Tue Oct  9 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720130
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703910
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700761
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685969
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679140
* Wed Jun 13 2007 stbinner@suse.de
- disable build of Noatun's splitplaylist (#276925)
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Fri May 25 2007 stbinner@suse.de
- split off -devel package
* Fri May 18 2007 stbinner@suse.de
- initial version in abuild
